Summary: 	An L2TP client/server, designed for VPN use
Name: 		openl2tp
Version: 	1.8
Release: 	%mkrel 7
License: 	GPL
Group: 		System/Base
URL: 		ftp://downloads.sourceforge.net/projects/openl2tp/%{name}-%{version}.tar.gz
Source0: 	%{name}-%{version}.tar.gz
Source1:	openl2tp.service
Source2:	openl2tp-tmpfiles.conf
Patch0:		openl2tp-1.8-make.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}
ExclusiveOS:	Linux
Requires: 	ppp >= 2.4.5
Requires:	readline >= 4.2
Requires:	rpcbind
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

BuildRequires: 	ppp >= 2.4.5
BuildRequires:	readline-devel >= 4.2
BuildRequires:	glibc >= 2.4
BuildRequires: 	flex
BuildRequires:	bison
BuildRequires:	kernel-headers >= 2.6.23

%description
OpenL2TP is a complete implementation of RFC2661 - Layer Two Tunneling
Protocol Version 2, able to operate as both a server and a client. It
is ideal for use as an enterprise L2TP VPN server, supporting more
than 100 simultaneous connected users. It may also be used as a client
on a home PC or roadwarrior laptop.

OpenL2TP has been designed and implemented specifically for Linux. It
consists of

- a daemon, openl2tpd, handling the L2TP control protocol exchanges
  for all tunnels and sessions

- a plugin for pppd to allow its PPP connections to run over L2TP
  sessions

- a Linux kernel driver for efficient datapath (integrated into the
  standard kernel from 2.6.23).

- a command line application, l2tpconfig, for management.

%package devel
Summary: OpenL2TP support files for plugin development
Group: Development/Other

%description devel
This package contains support files for building plugins for OpenL2TP,
or applications that use the OpenL2TP APIs.

%prep
%setup -q
%patch0 -p0

%build
make PPPD_VERSION=2.4.5

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
	PPPD_VERSION=2.4.5

%{__mkdir} -p $RPM_BUILD_ROOT/etc/rc.d/init.d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/openl2tp.service
#{__cp} -f etc/rc.d/init.d/openl2tpd $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/openl2tpd
%{__cp} -f etc/sysconfig/openl2tpd $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/openl2tpd

%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean
if [ "$RPM_BUILD_ROOT" != `echo $RPM_BUILD_ROOT | sed -e s/openl2tp-//` ]; then
	rm -rf $RPM_BUILD_ROOT
fi


%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_tmpfilesdir}/%{name}.conf
%dir %{_libdir}/openl2tp
%{_bindir}/l2tpconfig
%{_sbindir}/openl2tpd
%{_libdir}/openl2tp/ppp_null.so
%{_libdir}/openl2tp/ppp_unix.so
%{_libdir}/openl2tp/ipsec.so
%{_libdir}/openl2tp/event_sock.so
%{_mandir}/man1/l2tpconfig.1.*
%{_mandir}/man4/openl2tp_rpc.4.*
%{_mandir}/man5/openl2tpd.conf.5.*
%{_mandir}/man7/openl2tp.7.*
%{_mandir}/man8/openl2tpd.8.*
#{_initrddir}/openl2tpd
%{_unitdir}/openl2tp.service
%config %{_sysconfdir}/sysconfig/openl2tpd


%files devel
%defattr(-,root,root,-)
%doc plugins/README doc/README.event_sock
%{_libdir}/openl2tp/l2tp_rpc.x
%{_libdir}/openl2tp/l2tp_event.h
%{_libdir}/openl2tp/event_sock.h




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.8-7.mga4
+ Revision: 522658
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.8-6.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Mar 03 2013 dlucio <dlucio> 1.8-5.mga3
+ Revision: 401305
- temp file fixed
- systemd service fixed

* Fri Mar 01 2013 dlucio <dlucio> 1.8-4.mga3
+ Revision: 400891
- Tipo

* Fri Mar 01 2013 dlucio <dlucio> 1.8-3.mga3
+ Revision: 400867
- Service policy align
- New S1 & S2

* Sun Jan 13 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 362045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 dlucio <dlucio> 1.8-1.mga3
+ Revision: 337738
- imported package openl2tp


* Wed Jul 06 2011 Александр Казанцев <kazancas@mandriva.org> 1.8-1
+ Revision: 689030
- initial release for Mandriva
- imported package openl2tp
- Created package structure for openl2tp.

